Início / Referência · Crédito / Operação de crédito / Criar Credit Note
POST /v{version}/CreditNote/{id}/LiquidationSchedule
Crédito · Operação de crédito
Criar Credit Note Cria um novo registro de Credit Note.
Visão geral Cria um novo registro de Credit Note.
Autenticação e pré-requisitos Requer autenticação. Envie o token no header Authorization: Bearer {{token}} (JWT do AWS Cognito). Integrações servidor-a-servidor podem usar X-Api-Key. Todo tráfego é HTTPS e a credencial nunca vai na URL nem em query string.
Pré-requisitos: a rota exige identificador(es) de recurso já existente(s):
Request Parâmetros Nome Em Tipo Obrigatório Descrição Exemplo idpath string (uuid)obrigatório — 3fa85f64-5717-4562-b3fc-2c963f66afa6versionpath stringobrigatório — 1
Corpo da requisição Envie no formato application/json. Corpo opcional.
Campos Campo Tipo Obrigatório Descrição Valores Exemplo amountInCentsinteger (int64)obrigatório — — 0pixQrCodeobjetoopcional — objeto — ver detalhe abaixo { … }bankSlipobjetoopcional — objeto — ver detalhe abaixo { … }pixKeyobjetoopcional — objeto — ver detalhe abaixo { … }transferobjetoopcional — objeto — ver detalhe abaixo { … }descriptionstringopcional — — "texto"informedDueDatestring (date-time)opcional — — "2025-08-11T13:45:00Z"
Detalhe de pixQrCode Campo Tipo Obrigatório Descrição Valores Exemplo qrCodestringobrigatório — — "texto"
Detalhe de bankSlip Campo Tipo Obrigatório Descrição Valores Exemplo barcodeOrDigitableLinestringobrigatório — — "texto"
Detalhe de pixKey Campo Tipo Obrigatório Descrição Valores Exemplo keystringobrigatório — — "texto"pixKeyTypestringopcional — NaturalRegistrationNumber, LegalRegistrationNumber, Phone, Email, Automatic, AgencyAndAccount"NaturalRegistrationNumber"typeDisplaystringopcional — — "texto"
Detalhe de transfer Campo Tipo Obrigatório Descrição Valores Exemplo toobjetoobrigatório — objeto — ver detalhe abaixo { … }typestringobrigatório — Transfer, Pix"Transfer"
Detalhe de to Campo Tipo Obrigatório Descrição Valores Exemplo namestringobrigatório — — "Fulano de Tal"registrationNumberstringobrigatório — — "12345678909"bankCodeintegerobrigatório — — 0bankIspbinteger (int64)obrigatório — — 0agencystringobrigatório — — "texto"accountNumberstringobrigatório — — "texto"accountTypestringobrigatório — NaturalCheckingAccount, NaturalSimpleAccount, LegalCheckingAccount, PublicEntities, FinancialInstitutionsDeposits, NaturalSavingsAccount, LegalSavingsAccount, RealEstateSavingsAccount, LotteryDeposits, EscrowAccount"NaturalCheckingAccount"
Exemplo de corpo {
"amountInCents": 0,
"pixQrCode": {
"qrCode": "texto"
},
"bankSlip": {
"barcodeOrDigitableLine": "texto"
},
"pixKey": {
"key": "texto",
"pixKeyType": "NaturalRegistrationNumber",
"typeDisplay": "texto"
},
"transfer": {
"to": {
"name": "Fulano de Tal",
"registrationNumber": "12345678909",
"bankCode": 0,
"bankIspb": 0,
"agency": "texto",
"accountNumber": "texto",
"accountType": "NaturalCheckingAccount"
},
"type": "Transfer"
},
"description": "texto",
"informedDueDate": "2025-08-11T13:45:00Z"
}Response Resposta 200.
Campos Campo Tipo Obrigatório Descrição Valores Exemplo idstring (uuid)opcional — — "3fa85f64-5717-4562-b3fc-2c963f66afa6"amountInCentsinteger (int64)opcional — — 0pixQrCodeobjetoopcional — objeto — ver detalhe abaixo { … }bankSlipobjetoopcional — objeto — ver detalhe abaixo { … }pixKeyobjetoopcional — objeto — ver detalhe abaixo { … }transferobjetoopcional — objeto — ver detalhe abaixo { … }descriptionstringopcional — — "texto"informedDueDatestring (date-time)opcional — — "2025-08-11T13:45:00Z"retrievedDataobjetoopcional — objeto — ver detalhe abaixo { … }typestringopcional — — "texto"typeDisplaystringopcional — — "texto"linkStatusstringopcional — — "texto"linkStatusDisplaystringopcional — — "texto"statusstringopcional — — "texto"statusDisplaystringopcional — — "texto"paymentTypestringopcional — — "texto"paymentTypeDisplaystringopcional — — "texto"failureMessagestringopcional — — "texto"cosifAccountCodestringopcional — — "texto"nsustringopcional — — "texto"
Detalhe de pixQrCode Campo Tipo Obrigatório Descrição Valores Exemplo qrCodestringopcional — — "texto"
Detalhe de bankSlip Campo Tipo Obrigatório Descrição Valores Exemplo barcodeOrDigitableLinestringopcional — — "texto"
Detalhe de pixKey Campo Tipo Obrigatório Descrição Valores Exemplo keystringopcional — — "texto"pixKeyTypestringopcional — NaturalRegistrationNumber, LegalRegistrationNumber, Phone, Email, Automatic, AgencyAndAccount"NaturalRegistrationNumber"typeDisplaystringopcional — — "texto"
Detalhe de transfer Campo Tipo Obrigatório Descrição Valores Exemplo toobjetoopcional — objeto — ver detalhe abaixo { … }typestringopcional — Transfer, Pix"Transfer"typeDisplaystringopcional — — "texto"
Detalhe de retrievedData Campo Tipo Obrigatório Descrição Valores Exemplo beneficiaryobjetoopcional — objeto — ver detalhe abaixo { … }bankslipDataobjetoopcional — objeto — ver detalhe abaixo { … }
Detalhe de to Campo Tipo Obrigatório Descrição Valores Exemplo namestringopcional — — "Fulano de Tal"registrationNumberstringopcional — — "12345678909"bankCodeintegeropcional — — 0bankCodeDisplaystringopcional — — "texto"bankIspbinteger (int64)opcional — — 0agencystringopcional — — "texto"accountNumberstringopcional — — "texto"accountTypestringopcional — — "texto"accountTypeDisplaystringopcional — — "texto"
Detalhe de beneficiary Campo Tipo Obrigatório Descrição Valores Exemplo namestringopcional — — "Fulano de Tal"registrationNumberstringopcional — — "12345678909"bankintegeropcional — — 0bankCodeDisplaystringopcional — — "texto"bankIspbinteger (int64)opcional — — 0agencystringopcional — — "texto"accountNumberstringopcional — — "texto"accountTypestringopcional — — "texto"accountTypeDisplaystringopcional — — "texto"
Detalhe de bankslipData Campo Tipo Obrigatório Descrição Valores Exemplo dueDatestring (date-time)opcional — — "2025-08-11T13:45:00Z"discountinteger (int64)opcional — — 0paymentLimitDatestring (date-time)opcional — — "2025-08-11T13:45:00Z"
Exemplo de resposta {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"amountInCents": 0,
"pixQrCode": {
"qrCode": "texto"
},
"bankSlip": {
"barcodeOrDigitableLine": "texto"
},
"pixKey": {
"key": "texto",
"pixKeyType": "NaturalRegistrationNumber",
"typeDisplay": "texto"
},
"transfer": {
"to": {
"name": "Fulano de Tal",
"registrationNumber": "12345678909",
"bankCode": 0,
"bankCodeDisplay": "texto",
"bankIspb": 0,
"agency": "texto",
"accountNumber": "texto",
"accountType": "texto",
"accountTypeDisplay": "texto"
},
"type": "Transfer",
"typeDisplay": "texto"
},
"description": "texto",
"informedDueDate": "2025-08-11T13:45:00Z",
"retrievedData": {
"beneficiary": {
"name": "Fulano de Tal",
"registrationNumber": "12345678909",
"bank": 0,
"bankCodeDisplay": "texto",
"bankIspb": 0,
"agency": "texto",
"accountNumber": "texto",
"accountType": "texto",
"accountTypeDisplay": "texto"
},
"bankslipData": {
"dueDate": "2025-08-11T13:45:00Z",
"discount": 0,
"paymentLimitDate": "2025-08-11T13:45:00Z"
}
},
"type": "texto",
"typeDisplay": "texto",
"linkStatus": "texto",
"linkStatusDisplay": "texto",
"status": "texto",
"statusDisplay": "texto",
"paymentType": "texto",
"paymentTypeDisplay": "texto",
"failureMessage": "texto",
"cosifAccountCode": "texto",
"nsu": "texto"
}Códigos de retorno Código Significado Detalhe do contrato 200Requisição bem-sucedida. Success
Exemplos cURL C# JavaScript
curl -X POST "{{baseUrl}}/v1/CreditNote/3fa85f64-5717-4562-b3fc-2c963f66afa6/LiquidationSchedule" \
-H "Authorization: Bearer {{token}}" \
-H "Content-Type: application/json" \
-d '{
"amountInCents": 0,
"pixQrCode": {
"qrCode": "texto"
},
"bankSlip": {
"barcodeOrDigitableLine": "texto"
},
"pixKey": {
"key": "texto",
"pixKeyType": "NaturalRegistrationNumber",
"typeDisplay": "texto"
},
"transfer": {
"to": {
"name": "Fulano de Tal",
"registrationNumber": "12345678909",
"bankCode": 0,
"bankIspb": 0,
"agency": "texto",
"accountNumber": "texto",
"accountType": "NaturalCheckingAccount"
},
"type": "Transfer"
},
"description": "texto",
"informedDueDate": "2025-08-11T13:45:00Z"
}'var baseUrl = "{{baseUrl}}";
var token = "{{token}}";
using var http = new HttpClient { BaseAddress = new Uri(baseUrl) };
http.DefaultRequestHeaders.Authorization =
new AuthenticationHeaderValue("Bearer", token);
var rota = "/v1/CreditNote/3fa85f64-5717-4562-b3fc-2c963f66afa6/LiquidationSchedule";
var corpo = new StringContent(
"""
{
"amountInCents": 0,
"pixQrCode": {
"qrCode": "texto"
},
"bankSlip": {
"barcodeOrDigitableLine": "texto"
},
"pixKey": {
"key": "texto",
"pixKeyType": "NaturalRegistrationNumber",
"typeDisplay": "texto"
},
"transfer": {
"to": {
"name": "Fulano de Tal",
"registrationNumber": "12345678909",
"bankCode": 0,
"bankIspb": 0,
"agency": "texto",
"accountNumber": "texto",
"accountType": "NaturalCheckingAccount"
},
"type": "Transfer"
},
"description": "texto",
"informedDueDate": "2025-08-11T13:45:00Z"
}
""",
Encoding.UTF8, "application/json");
var resp = await http.PostAsync(rota, corpo);
resp.EnsureSuccessStatusCode();
var json = await resp.Content.ReadAsStringAsync();const baseUrl = '{{baseUrl}}';
const token = '{{token}}';
const payload = {
"amountInCents": 0,
"pixQrCode": {
"qrCode": "texto"
},
"bankSlip": {
"barcodeOrDigitableLine": "texto"
},
"pixKey": {
"key": "texto",
"pixKeyType": "NaturalRegistrationNumber",
"typeDisplay": "texto"
},
"transfer": {
"to": {
"name": "Fulano de Tal",
"registrationNumber": "12345678909",
"bankCode": 0,
"bankIspb": 0,
"agency": "texto",
"accountNumber": "texto",
"accountType": "NaturalCheckingAccount"
},
"type": "Transfer"
},
"description": "texto",
"informedDueDate": "2025-08-11T13:45:00Z"
};
const resp = await fetch(`${baseUrl}/v1/CreditNote/3fa85f64-5717-4562-b3fc-2c963f66afa6/LiquidationSchedule`, {
method: 'POST',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json',
},
body: JSON.stringify(payload),
});
if (!resp.ok) throw new Error(`HTTP ${resp.status}`);
const data = await resp.json();Troque apenas {{baseUrl}} e {{token}}. No Postman, defina-os como variáveis de environment; o cURL importa em Import > Raw text .
Downloads Este endpoint já vem configurado nas collections abaixo, na pasta da etapa correspondente.
Guia de importação: Como importar no Postman · Todos os downloads: Downloads